<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.17" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.4" />

    <View
        android:id="@+id/back"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="20dp"
        android:background="@drawable/ic_back"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/text_input_login"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/text_input_login"
        android:textColor="@color/black"
        android:textSize="20sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/guideline" />

    <TextView
        android:id="@+id/text_for"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="1dp"
        android:text="@string/text_for"
        android:textColor="@color/black"
        android:textSize="18sp"
        android:textStyle=""
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/text_input_login" />

    <View
        android:id="@+id/input_field"
        android:layout_width="320dp"
        android:layout_height="40dp"
        android:layout_marginTop="15dp"
        android:background="@drawable/button_beigestroke"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.424"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/text_for" />

    <EditText
        android:id="@+id/username"
        style="@style/NoUnderLineEditText"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:autofillHints=""
        android:hint="@string/loginText"
        android:paddingStart="10dp"
        android:inputType="text"
        app:layout_constraintBottom_toBottomOf="@+id/input_field"
        app:layout_constraintStart_toStartOf="@+id/input_field"
        app:layout_constraintTop_toTopOf="@+id/input_field" />


    <View
        android:id="@+id/username_field"
        android:layout_width="320dp"
        android:layout_height="40dp"
        android:background="@drawable/button_grestroke_whiteback"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.494"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/guideline2" />

    <TextView
        android:id="@+id/username_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textSize="15sp"
        android:layout_marginStart="10dp"
        android:text="@string/fullNameText"
        app:layout_constraintBottom_toBottomOf="@+id/username_field"
        app:layout_constraintStart_toStartOf="@+id/username_field"
        app:layout_constraintTop_toTopOf="@+id/username_field"
        android:textColor="@color/black"/>

    <View
        android:id="@+id/photo_field"
        android:layout_width="80dp"
        android:layout_height="80dp"
        android:layout_marginTop="20dp"
        android:background="@drawable/button_grestroke_whiteback"
        app:layout_constraintStart_toStartOf="@+id/username_field"
        app:layout_constraintTop_toBottomOf="@+id/username_field" />

    <ImageView
        android:id="@+id/photo"
        android:layout_width="79dp"
        android:layout_height="79dp"
        android:layout_gravity="center_horizontal"
        android:contentDescription="@string/contentDescriptionPhoto"
        android:src="@drawable/ic_no_img"
        app:layout_constraintBottom_toBottomOf="@+id/photo_field"
        app:layout_constraintEnd_toEndOf="@+id/photo_field"
        app:layout_constraintStart_toStartOf="@+id/photo_field"
        app:layout_constraintTop_toTopOf="@+id/photo_field" />

    <View
        android:id="@+id/position_field"
        android:layout_width="220dp"
        android:layout_height="35dp"
        android:background="@drawable/button_grestroke_whiteback"
        app:layout_constraintEnd_toEndOf="@+id/username_field"
        app:layout_constraintTop_toTopOf="@+id/photo_field" />

    <TextView
        android:id="@+id/position"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:text="@string/jobText"
        android:textColor="@color/black"
        android:textSize="13sp"
        app:layout_constraintBottom_toBottomOf="@+id/position_field"
        app:layout_constraintStart_toStartOf="@+id/position_field"
        app:layout_constraintTop_toTopOf="@+id/position_field" />

    <View
        android:id="@+id/lastEntry_field"
        android:layout_width="220dp"
        android:layout_height="35dp"
        android:background="@drawable/button_grestroke_whiteback"
        app:layout_constraintBottom_toBottomOf="@+id/photo_field"
        app:layout_constraintEnd_toEndOf="@+id/username_field" />


    <TextView
        android:id="@+id/lastEntry"
        android:layout_width="wrap_content"
        android:layout_height="18dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="10dp"
        android:text="@string/lastLoginText"
        android:textColor="@color/black"
        android:textSize="13sp"
        app:layout_constraintBottom_toBottomOf="@+id/lastEntry_field"
        app:layout_constraintStart_toStartOf="@+id/lastEntry_field"
        app:layout_constraintTop_toTopOf="@+id/lastEntry_field"
        app:layout_constraintVertical_bias="0.0" />

    <View
        android:id="@+id/block"
        android:layout_width="320dp"
        android:layout_height="80dp"
        android:layout_marginTop="40dp"
        android:background="@drawable/button_grey"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/photo_field" />

    <TextView
        android:id="@+id/text_block_user"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginTop="15dp"
        android:text="@string/block_user"
        android:textColor="@color/black"
        android:textSize="20sp"
        android:textStyle="bold"
        app:layout_constraintStart_toStartOf="@+id/block"
        app:layout_constraintTop_toTopOf="@+id/block" />

    <TextView
        android:id="@+id/text_access"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="1dp"
        android:text="@string/text_access"
        android:textColor="@color/black"
        app:layout_constraintStart_toStartOf="@+id/text_block_user"
        app:layout_constraintTop_toBottomOf="@+id/text_block_user" />

    <View
        android:id="@+id/ic_block"
        android:layout_width="42dp"
        android:layout_height="42dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/ic_block"
        app:layout_constraintBottom_toBottomOf="@+id/block"
        app:layout_constraintEnd_toEndOf="@+id/block"
        app:layout_constraintTop_toTopOf="@+id/block" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/entrance_data"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.485"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/block"
        app:layout_constraintVertical_bias="0.0" />


</androidx.constraintlayout.widget.ConstraintLayout>